SND_SOC_CODEC_INIT_R(9)

NAME
snd_soc_codec_init_regmap - Initialize regmap instance for the CODEC

SYNOPSIS

void snd_soc_codec_init_regmap(struct snd_soc_codec * codec, struct regmap * regmap);

ARGUMENTS

codec
    The CODEC for which to initialize the regmap instance

regmap
    The regmap instance that should be used by the CODEC

DESCRIPTION

This function allows deferred assignment of the regmap instance that is associated with the CODEC. Only use this if the regmap instance is not yet ready when the CODEC is registered. The function must also be called before the first IO attempt of the CODEC.

COPYRIGHT